Subject: Re: bug#29045: [PATCH] auth-source-pass: Extract user from host when searching for entries

From: Eli Zaretskii <[email-masked]>
Date: Sat, 04 Nov 2017 12:28:58 +0200

> From: Łukasz Jędrzejewski
> 	<[email-masked]>
> Date: Sat, 28 Oct 2017 20:53:01 +0200
> 
> I have recently contributed to auth-password-store package created by
> Damien Cassou [1] and the proposed change has been successfully merged.
> After that Damien suggested me to propose the same change to the Emacs
> repository itself since the auth-password-store has been integrated inside
> the core.
> 
> Regarding the attached patch: When auth-source-search is asked to find an
> entry only by :host key; e.g. [email-masked] and having an entry
> hostname.com/login located in .password-store nothing is found. With this
> patch, such an entry would be found. I have added a test case to document
> the change.
> 
> What do you think?

Thanks, I pushed your changes to the master branch.

Please note that your mailer wraps long lines, which makes the patches
unsuitable for applying.  Please in the future send patches as
attachments.

I would also encourage you to start your legal paperwork for assigning
copyright of your changes to the FSF, so that we could accept your
future contributions without limitations.